[alsa-devel] Any OSS changes from kernel 2.6.21 to 2.6.23? Something broke.

Timur Tabi timur at freescale.com
Fri Nov 2 16:36:54 CET 2007

I have a customer who says that mplayer (using OSS) does not work when he tries 
a kernel based on 2.6.23-rc4, but it works when he uses a kernel based on 
2.6.21.  Everything else is the same (including the version of alsa-lib), so I 
presume something broke in the OSS emulation in the kernel.  Unfortunately, our 
git repositories for these trees are not compatible, so I can't use git-bisect 
to narrow the problem down.

Is it possible to back-level the ALSA support in the kernel itself?  Can I just 
download ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.XX.tar.bz2 and 
follow the instructions in the INSTALL file?

If you update the kernel, are you supposed to use the latest alsa-lib as well? 
For a given kernel, how do I know what the right version of alsa-lib is?

Timur Tabi
Linux kernel developer at Freescale

More information about the Alsa-devel mailing list